#ifndef  NOMFITS2_H_SEEN
#define  NOMFITS2_H_SEEN
#include "machdefs.h"

/* Reza+farhang, Avril 2007, copie depuis Peida/LibsUtil/datime.h .c */
#include "datime.h"

#ifdef __cplusplus
extern "C" {
#endif
/* Reza+farhang, Avril 2007, copie depuis Peida/LibsUtil/datime.h .c */
int  DecodeStrgtoJMAHMS(const char* strg, JMA* jma, HMS* hms);
/* --- fin ajout depuis Peida/LibsUtil/datime.h ----- */

unsigned long int decode_zeza(const char* s, int i1, int i2);
char * dec2zeza(unsigned long z, char *s, int n);
int qSort_fits2(const void *x1,const void *x2);

/* CMV: test des conneries du serveur MG ! */
int Test_NoCorrupt(const char *flnm);

/* codage de la date/tsid dans timeinfo */
uint_4 DateTstoInt(const char *date,const char *ts);
uint_4 DateTimetoInt(const char *datetime);
void InttoDateTs(uint_4 n,int_4 *date,int_4 *ts);

#ifdef __cplusplus
}
#endif

#endif


